import javax.swing.*;
import java.awt.*;

public class Finestra3 {
    public static void main(String[] args) {
        JFrame finestra = new JFrame();//crea una nuova finestra invisibile

        finestra.setTitle("pagina di prova");//imposto titolo
        finestra.setSize(400, 300);//imposto dimensione
        finestra.setLocation(50, 100);//imposto posizione nello schermo
        finestra.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);//termina l'applicazione

        JPanel pannelloSfondo = new JPanel();//crea un pannello
        pannelloSfondo.setBackground(Color.BLUE);//imposta lo sfondo
        finestra.setContentPane(pannelloSfondo);//imposta il contentPane (il pannello di base della finestra)

        //--------------------------------------------------------------------
        //---- Parte aggiunta al codice di Finestra 1 ------------------------
        //--------------------------------------------------------------------
        pannelloSfondo.setBackground(Color.WHITE);//imposta lo sfondo della finestra principale

        JLabel etichetta = new JLabel();//crea la jlabel
        etichetta.setText("Etichetta");//imposta l'etichetta
        etichetta.setForeground(Color.RED);//imposta il colore della label
        pannelloSfondo.add(etichetta);//la aggiunge al pannello (di seguito agli altri componenti

        JButton pulsante = new JButton();//crea un pulsante
        pulsante.setForeground(Color.BLUE);//imposta colore di primo piano
        pulsante.setBackground(Color.YELLOW);//imposta il colore di sfondo
        pulsante.setText("Pulsante di prova");//imposta il testo
        pannelloSfondo.add(pulsante);//lo aggiunge al pannello (di seguito agli altri componenti

        //--------------------------------------------------------------------
        //---- Parte aggiunta al codice di Finestra 2 ------------------------
        //--------------------------------------------------------------------
        JTextField campoTest = new JTextField();//crea una text field
        campoTest.setPreferredSize(new Dimension(200, 20));//imposta la dimensione preferita
        pannelloSfondo.add(campoTest);//aggiunge il componente al pannello della finestra

        String[] valoriIniziali = new String[]{"pippo", "pluto", "paperino"};//crea un vettore si stringhe per inizializzare il combo
        JComboBox box = new JComboBox(valoriIniziali);//crea la combobox con i valori iniziali
        box.setPreferredSize(new Dimension(300, 20));//imposta la dimensione preferita
        pannelloSfondo.add(box);//aggiunge il componente al pannello della finestra

        JCheckBox check = new JCheckBox();//crea una checkbox
        check.setText("Spunta la selezione");//imposta il testo
        check.setSelected(true);//la rende selezionata
        pannelloSfondo.add(check);//aggiunge il componente al pannello della finestra

        finestra.setVisible(true);//la rendo visibile
    }
}